package com.yifu.cloud.plus.v1.yifu.auth.util;


public interface LoginCallback<T, E> {

	/**
	 * 登录成功后逻辑处理，处理结束如果有则返回错误信息
	 * @param userInfo 第三方用户实体
	 */
	public String handle(T userInfo);
	
	/**
	 * 登录失败后逻辑处理 ，处理结束如果有则返回错误信息
	 * @param error 第三方错误实体
	 */
	public String errer(E error);
}
